When trace_id is provided, returns the full trace with all spans. Otherwise returns a paginated list of trace summaries with optional filters. Requires read scope.
POST
/
telemetry
/
get_traces
List or get traces
curl --request POST \
--url https://api.svantic.com/telemetry/get_traces \
--header 'Content-Type: application/json' \
--data '
{
"trace_id": "string",
"page": 1,
"page_size": 25,
"session_id": "string",
"status": "string",
"has_plan": true
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
trace_id: 'string',
page: 1,
page_size: 25,
session_id: 'string',
status: 'string',
has_plan: true
})
};
fetch('https://api.svantic.com/telemetry/get_traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/telemetry/get_traces"
payload = {
"trace_id": "string",
"page": 1,
"page_size": 25,
"session_id": "string",
"status": "string",
"has_plan": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/telemetry/get_traces"
payload := strings.NewReader("{\n \"trace_id\": \"string\",\n \"page\": 1,\n \"page_size\": 25,\n \"session_id\": \"string\",\n \"status\": \"string\",\n \"has_plan\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"count": 0,
"page": 0,
"page_size": 0,
"traces": [
{
"trace_id": "string",
"session_id": "string",
"tenant_id": "string",
"root_agent": "string",
"status": "string",
"started_at": "2026-03-31T12:00:00.000Z",
"ended_at": "2026-03-31T12:00:00.000Z",
"duration_ms": 0,
"span_count": 0
}
],
"trace": {
"example_key": "example_value"
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}Body
application/json
⌘I
List or get traces
curl --request POST \
--url https://api.svantic.com/telemetry/get_traces \
--header 'Content-Type: application/json' \
--data '
{
"trace_id": "string",
"page": 1,
"page_size": 25,
"session_id": "string",
"status": "string",
"has_plan": true
}
'const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
trace_id: 'string',
page: 1,
page_size: 25,
session_id: 'string',
status: 'string',
has_plan: true
})
};
fetch('https://api.svantic.com/telemetry/get_traces', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.svantic.com/telemetry/get_traces"
payload = {
"trace_id": "string",
"page": 1,
"page_size": 25,
"session_id": "string",
"status": "string",
"has_plan": True
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.svantic.com/telemetry/get_traces"
payload := strings.NewReader("{\n \"trace_id\": \"string\",\n \"page\": 1,\n \"page_size\": 25,\n \"session_id\": \"string\",\n \"status\": \"string\",\n \"has_plan\": true\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"ok": true,
"count": 0,
"page": 0,
"page_size": 0,
"traces": [
{
"trace_id": "string",
"session_id": "string",
"tenant_id": "string",
"root_agent": "string",
"status": "string",
"started_at": "2026-03-31T12:00:00.000Z",
"ended_at": "2026-03-31T12:00:00.000Z",
"duration_ms": 0,
"span_count": 0
}
],
"trace": {
"example_key": "example_value"
}
}{
"error": "Invalid request body",
"code": "BAD_REQUEST"
}{
"error": "Invalid or expired token",
"code": "unauthorized"
}{
"error": "JWT does not include the required scope for this operation",
"code": "forbidden"
}{
"error": "<string>",
"code": "<string>",
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}{
"error": "Request timeout",
"code": "REQUEST_TIMEOUT"
}{
"error": "Internal server error",
"code": "INTERNAL_ERROR",
"request_id": "req_01EXAMPLE",
"timestamp": "2026-03-31T12:00:00.000Z"
}{
"error": "Bad gateway",
"code": "BAD_GATEWAY"
}{
"error": "Service temporarily unavailable",
"code": "SERVICE_UNAVAILABLE"
}